Page MenuHomePhabricator

Deploy WikiGrok extension to test, test2, and en.wiki
Closed, ResolvedPublic

Description

We've started moving the experimental WikiGrok code out of MobileFrontend/Tool Labs and into a new WikiGrok extension. We need to get this extension deployed to test, test2, and en.wiki so we can continue our nefarious experiments.

Right now, all it has in it is an API module, so it should be easy to review for security/sanity.

For more information, refer to https://www.mediawiki.org/wiki/Extension:MobileFrontend/WikiGrok and my recent email to the Ops list ("WikiGrok and Tool Labs").


Version: wmf-deployment
Severity: enhancement

Details

Reference
bz72465

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 3:47 AM
bzimport set Reference to bz72465.
bzimport added a subscriber: Unknown Object (MLST).
kaldari created this task.Oct 24 2014, 12:14 AM

Change 168628 had a related patch set uploaded by Kaldari:
Adding WikiGrok to extensions list for testing on Beta Labs, etc.

https://gerrit.wikimedia.org/r/168628

Change 168628 merged by jenkins-bot:
Adding WikiGrok to extensions list for testing on Beta Labs, etc.

https://gerrit.wikimedia.org/r/168628

Change 168688 had a related patch set uploaded by Kaldari:
Adding WikiGrok to extensions list for testing on Beta Labs

https://gerrit.wikimedia.org/r/168688

Change 168688 merged by jenkins-bot:
Adding WikiGrok to extensions list for testing on Beta Labs

https://gerrit.wikimedia.org/r/168688

Adding Chris and Aaron for security and performance reivews, respectively.

Aaron says that such reviews are no longer blockers for deployment, but of course they are welcome if anyone wants to take a look: https://git.wikimedia.org/tree/mediawiki%2Fextensions%2FWikiGrok.git

greg added a comment.Oct 25 2014, 9:32 PM

Security review is still needed pre-prod deploy. Ori/Aaron just decided yesterday to suspend pre-deploy performance reviews.

Max: please file a bug for Chris for his review and assign it to him.

aaron added a comment.Oct 27 2014, 5:37 PM

Looks OK to me (performance).

Security review bug created: Bug 72567

Security review completed. Should be ready for deployment now.